## javax.mail
Class NoSuchProviderException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.mail.MessagingException
                        |
                        +--javax.mail.NoSuchProviderException

All Implemented Interfaces:
  java.io.Serializable

public class NoSuchProviderException
extends MessagingException

This exception is thrown when Session attempts to instantiate a Provider that doesn't exist.

See Also:
  Serialized Form

Constructor Summary
`NoSuchProviderException()` Constructor.
`NoSuchProviderException(java.lang.String message)` Constructor.

Methods inherited from class javax.mail.MessagingException
`getMessage, getNextException, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchProviderException

    public NoSuchProviderException()

  Constructor.

### NoSuchProviderException

    public NoSuchProviderException(java.lang.String message)

  Constructor.
  Parameters:
    `message` - The detailed error message